#define SUPPORT_SMDK2440
inline void IO_InitSMDK2440(void)
{
	gotype_current.id             = GOTYPE_SMDK2440;
	gotype_current.name           = "SMDK2440 Development Board";
	gotype_current.usbname        = "SMDK2440";
	gotype_current.familyname     = "SMDK2440";
	gotype_current.btname         = gotype_current.name;
	gotype_current.cputype        = GOCPU_S3C2440;
	gotype_current.sdcard         = 1;
	gotype_current.memsize        = 64;
	gotype_current.usbslavetype   = GOUSB_S3C24XX;

	gotype_current.pins.SDCLK           = PIN_GPE5;
	gotype_current.pins.SDCMD           = PIN_GPE6;
	gotype_current.pins.SDDATA0         = PIN_GPE7;
	gotype_current.pins.SDDATA1         = PIN_GPE8;
	gotype_current.pins.SDDATA2         = PIN_GPE9;
	gotype_current.pins.SDDATA3         = PIN_GPE10;
	gotype_current.pins.CTS_DOCK        = PIN_GPH0;
	gotype_current.pins.RTS_DOCK        = PIN_GPH1;
	gotype_current.pins.TXD_DOCK        = PIN_GPH2;
	gotype_current.pins.RXD_DOCK        = PIN_GPH3;
	gotype_current.pins.ON_OFF          = PIN_GPF0 | PIN_INVERTED;
}
